View Issue Details

IDProjectCategoryLast Update
0020481AI War 2[All Projects] GUIApr 19, 2019 1:44 pm
Reporterx4000BughunterAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.782 Viewport Visibility 
Fixed in VersionBETA 0.851 Drones And Economies 
Summary0020481: Clicking on different planets quickly in the galaxy view acts like a double-click that opens a planet view, really annoying
Descriptioncredit Bobtree.
TagsNo tags attached.

Relationships

related to 0020740 resolvedx4000Bughunter Double clicking recognition 
related to 0020721 assignedx4000Bughunter Double Right Click & Hold acts as a right click every frame? 
related to 0020617 resolvedx4000Bughunter Double clicking units applies to double clicks that do not start on the unit 

Activities

x4000Bughunter

Oct 15, 2018 5:05 pm

administrator   ~0050039

rkfg:

2) Double click on the galaxy map is handled incorrectly. If you click two different planets quickly, the last planet gets opened even though the distance between the clicks is quite big. It can be annoying if you want to skim over some planets.

x4000Bughunter

Apr 19, 2019 1:44 pm

administrator   ~0051200

Thanks!

* Fixed (but have not tested) a longstanding bug where it would register a double-click if you were clicking too rapidly between different parts of the screen. Mice are fast! Now if you've moved the mouse more than 10px, it doesn't consider it a double-click. Probably. We need to test that.

Issue History

Date Modified Username Field Change
Oct 11, 2018 12:13 pm x4000Bughunter New Issue
Oct 11, 2018 12:13 pm x4000Bughunter Status new => assigned
Oct 11, 2018 12:13 pm x4000Bughunter Assigned To => x4000Bughunter
Oct 15, 2018 5:05 pm x4000Bughunter Note Added: 0050039
Oct 24, 2018 10:09 am Dune Relationship added related to 0020617
Nov 4, 2018 11:47 pm Kaleopan Relationship added related to 0020740
Nov 4, 2018 11:47 pm Kaleopan Relationship added related to 0020721
Apr 19, 2019 1:44 pm x4000Bughunter Status assigned => resolved
Apr 19, 2019 1:44 pm x4000Bughunter Resolution open => fixed
Apr 19, 2019 1:44 pm x4000Bughunter Fixed in Version => BETA 0.851 Drones And Economies
Apr 19, 2019 1:44 pm x4000Bughunter Note Added: 0051200